digiKam Developer Documentation: Digikam::FaceScanSettings Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
Digikam::FaceScanSettings Class Reference

## Public Types
enum | AlreadyScannedHandling { Skip , Rescan , ClearAll , RecognizeOnly }
| Scan Mode as detect and recognize. More...
enum | FaceDetectionModel { YuNet }
| Face detection AI models. More...
enum | FaceDetectionSize { ExtraSmall , Small , Medium , Large , ExtraLarge }
| Face detection size.
enum | FaceRecognitionModel { SFace }
| Face recognition AI models. More...
enum | FaceScanSource { FaceScanWidget , ItemIconView , MaintenanceTool , BackgroundRecognition , BQM }
| How the FaceScan was started.
enum | ScanTask { DetectAndRecognize , RecognizeMarkedFaces , RetrainAll , Reset }
| Different possible tasks processed while scanning operation. More...

## Public Member Functions
| FaceScanSettings (const FaceScanSettings &other)
FaceScanSettings & | operator= (const FaceScanSettings &other)
void | readFromConfig ()
void | readFromConfig (const KConfigGroup &)
void | writeToConfig ()
void | writeToConfig (KConfigGroup &)

## Public Attributes
AlbumList | albums
| Albums to scan.
AlreadyScannedHandling | alreadyScannedHandling = Skip
| Scanning mode.
int | detectAccuracy = DNN_MODEL_THRESHOLD_NOT_SET
| Detection accuracy.
FaceDetectionModel | detectModel = FaceDetectionModel::YuNet
| Detection Model.
FaceDetectionSize | detectSize = FaceDetectionSize::Large
| Face size used by the detection Model.
ItemInfoList | infos
| Image infos to scan.
int | recognizeAccuracy = DNN_MODEL_THRESHOLD_NOT_SET
| Recognition accuracy.
FaceRecognitionModel | recognizeModel = FaceRecognitionModel::SFace
| Detection Model.
FaceScanSource | source = FaceScanWidget
| Source of the scan.
ScanTask | task = DetectAndRecognize
| Tasks processed while scanning.
bool | useFullCpu = false
| Processing using all CPU available.
bool | wholeAlbums = false
| Whole albums checked.
QThread::Priority | workerThreadPriority = QThread::LowPriority
| Worker thread priority.

## Member Enumeration Documentation

## ◆ AlreadyScannedHandling

enum Digikam::FaceScanSettings::AlreadyScannedHandling

Enumerator
Skip | Skip faces from images already scanned.
Rescan | Rescan faces from images already scanned.
ClearAll | Clear all faces data from images already scanned. Clear identities and training data from FacesDb.
RecognizeOnly | Recognize faces from images already scanned.

## ◆ FaceDetectionModel

enum Digikam::FaceScanSettings::FaceDetectionModel

Enumerator
YuNet | YuNet neural network inference. https://github.com/opencv/opencv_zoo/tree/main

## ◆ FaceRecognitionModel

enum Digikam::FaceScanSettings::FaceRecognitionModel

Enumerator
SFace | SFace pre-trained neural network model. https://github.com/opencv/opencv_zoo/blob/main/models/face_recognition_sface/

## ◆ ScanTask

enum Digikam::FaceScanSettings::ScanTask

Enumerator
DetectAndRecognize | Detect and recognize faces only.
RecognizeMarkedFaces | Recognize already marked faces only.
RetrainAll | Retrain faces only.

## Member Data Documentation

## ◆ detectAccuracy

int Digikam::FaceScanSettings::detectAccuracy = DNN_MODEL_THRESHOLD_NOT_SET

Note
  Use default value from dnnmodels.conf

## ◆ recognizeAccuracy

int Digikam::FaceScanSettings::recognizeAccuracy = DNN_MODEL_THRESHOLD_NOT_SET

Note
  Use default value from dnnmodels.conf

## ◆ workerThreadPriority

QThread::Priority Digikam::FaceScanSettings::workerThreadPriority = QThread::LowPriority

Note
  Most of the time, this is set to LowPriority. The BackgroundRecognizer is set to IdlePriority. Do not save this value in the config file.